> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Presentation And Slides By Id

> Get a presentation and its slides by id.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ppt/presentation/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v1/ppt/presentation/{id}:
    get:
      tags:
        - Presentation
      summary: Get Presentation And Slides By Id
      description: |-
        Get a presentation and its slides by id.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: get_presentation_and_slides_by_id_api_v1_ppt_presentation__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationWithSlidesV1'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PresentationWithSlidesV1:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user:
          type: string
          format: uuid
          title: User
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        n_slides:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Slides
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        tone:
          anyOf:
            - type: string
            - type: 'null'
          title: Tone
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        theme:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Theme
        slides:
          items:
            $ref: '#/components/schemas/SlideModel'
          type: array
          title: Slides
      type: object
      required:
        - id
        - user
        - created_at
        - updated_at
        - slides
      title: PresentationWithSlidesV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        presentation:
          type: string
          format: uuid
          title: Presentation
        layout_group:
          type: string
          title: Layout Group
        layout:
          type: string
          title: Layout
        index:
          type: integer
          title: Index
        content:
          additionalProperties: true
          type: object
          title: Content
        html_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Html Content
        speaker_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker Note
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
      type: object
      required:
        - presentation
        - layout_group
        - layout
        - index
        - content
        - html_content
        - properties
      title: SlideModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````